TGET(1)

NAME
tget - get termcap values

SYNOPSIS
tget [-flag id] [-num id] [-str id] [-goto col line] [[-echo] string]

DESCRIPTION
Tget allows shell scripts access to the termcap(3) functions. Flags, numbers and strings can be queried from the termcap database under the entry denoted by the environment variable $TERM.

OPTIONS

-flag id
    Set the exit status to zero if the flag id is set. All other options except -echo set the exit status to id being available or not. The last option sets the final exit code.

-num id
    Print the value of the numeric variable id.

-str id
    Print the value of the string variable id.

-goto col line
    Generates instructions to go to the given column and line if the cm capability exists.

-echo string
    Prints string. Any other argument that does not start with a dash is also printed.

EXAMPLE
Try this: tget -str so 'Reverse Video' -str se

ENVIRONMENT

TERM
    Terminal type.

TERMCAP
    Path to the termcap database, by default /etc/termcap:/usr/etc/termcap.

SEE ALSO
termcap(3).

DIAGNOSTICS
Tget will fail immediately with a descriptive message if the termcap entry can't be found.

AUTHOR
Kees J. Bot (kjb@cs.vu.nl)